Multi-State Title & Registration - Sandbox

Multi-State Title & Registration

1.0.0OAS 3.0

Submits and processes title and registration transactions across states through a single integration, returning jurisdiction-specific status and confirmation data.

API Base URL
  • Server 1:https://api-test.vitu.com/national-public-api/v2
Security
keycloak (oauth2)

Client Credentials OAuth Flow

Token URL: https://auth.test.vitu.com/realms/api/protocol/openid-connect/token

Scopes:

  • oneapi:access - Allow access to this API via Keycloak
Additional Information

Registration

Create Transaction

Creates a transaction in VITU system

post
https://api-test.vitu.com/national-public-api/v2/transaction

Query Parameters

callbackUrlstring(uri)

the location where data will be sent. Must be network accessible by the source server

Match pattern:^https://

<= 500 characters

Example:https://vitu.com/example

transactionTypestring

Identifier of the type of the transaction

Allowed values:EVRINTERSTATEDMVDESKNTX

Default:INTERSTATE

Headers

x-on-behalf-of-userinteger

Id of the user on behalf of whom the request is being made

Body

application/json

BaseTransactionDTO

BaseTransactionDTO
One Of
AkTransactionDTOOne Of
AkTransactionDTOobject
* Additional properties are NOT allowed.

Response

application/json

OK

object

Callbacks

post
{$request.query.callbackUrl}

Callback Response

200

Target server returns this code if it accepts the callback

post/transaction

Body

{ "refNumber": "f42e3914-2cd8-4ae9-ad76-b38a25baa3c8", "state": "AK", "applicationType": "TitleAndRegistration", "registration": { "action": "NewRegistration", "plateCategory": "Standard", "disabledPermit": false, "titleInHand": true, "address": { "street": "842 W Intl Airport Rd", "city": "Anchorage", "county": "Anchorage", "state": "AK", "zipCode": "99518", "zipCodeExt": 1001 } }, "seller": { "deliveryMethod": "DrivenOffLot", "isIndividual": false, "firstName": "Gregory", "lastName": "House", "dealerName": "Galpin California", "dealerLicenseNumber": "DA123", "phone": "8181234567", "email": "[email protected]", "address": { "street": "411 W Ocean Blvd,", "city": "VAN NUYS", "county": "Los Angeles", "state": "CA", "zipCode": "91401" } }, "owner": { "isIndividual": false, "ownerType": "Business", "dlNotMatchName": false, "ownersAddressMatchOwnersId": true, "applyingForPrimaryAddressException": false, "fein": "222222222", "businessName": "BUSINESS" }, "vehicle": { "state": "AK", "vehicleType": "Passenger", "useType": "Personal", "purchaseDate": "2022-07-09", "year": 2021, "unladenWeight": 4017, "numberOfRegYears": 2, "lienRecordingFee": false, "color": "Bronze", "make": "HYUNDAI", "model": "SANTA FE", "vin": "5NMS4DAL5MHTEST", "bodyType": "Utility (UT)", "bodyTypeId": 205, "grossWeight": 5357, "odometerReading": 234, "sellingPrice": 50000.99, "saleType": "Purchase", "vehicleSoldAs": "Used", "odometerValidity": "Actual", "isOwnerMilitary": false }, "insurance": { "companyName": "INSURCOMP", "policyNumber": "12515125125" }, "plateDestination": { "type": "Owner", "name": "BUSINESS", "address": { "street": "842 W Intl Airport Rd", "city": "Anchorage", "county": "Anchorage", "state": "AK", "zipCode": "99518" } }, "caAddress": { "city": "VAN NUYS", "county": "Los Angeles", "zipCode": "91401", "zipCodeExt": 91401 }, "tradeInVehicles": [ { "plateNumber": "9685196F", "vin": "1GC2CUEG6JF178295", "tradeInValue": 1001 } ] }
 
application/json
callback sample
Callback Body
Callback Response
200

Update Transaction

Updates a transaction in VITU system

put
https://api-test.vitu.com/national-public-api/v2/transaction/{transactionId}

Query Parameters

transactionTypestring

Identifier of the type of the transaction

Allowed values:EVRINTERSTATEDMVDESKNTX

Default:INTERSTATE

Path Parameters

transactionIdstringrequired

Either int transactionId or uuid refNumber

<= 36 characters

Headers

x-on-behalf-of-userinteger

Id of the user on behalf of whom the request is being made

Body

application/json

BaseTransactionDTO

BaseTransactionDTO
One Of
AkTransactionDTOOne Of
AkTransactionDTOobject
* Additional properties are NOT allowed.

Response

application/json

OK

object

Callbacks

post
{$request.query.callbackUrl}

Callback Response

200

Target server returns this code if it accepts the callback

put/transaction/{transactionId}

Body

{ "refNumber": "f42e3914-2cd8-4ae9-ad76-b38a25baa3c8", "state": "AK", "applicationType": "TitleAndRegistration", "registration": { "action": "NewRegistration", "plateCategory": "Standard", "disabledPermit": false, "titleInHand": true, "address": { "street": "842 W Intl Airport Rd", "city": "Anchorage", "county": "Anchorage", "state": "AK", "zipCode": "99518", "zipCodeExt": 1001 } }, "seller": { "deliveryMethod": "DrivenOffLot", "isIndividual": false, "firstName": "Gregory", "lastName": "House", "dealerName": "Galpin California", "dealerLicenseNumber": "DA123", "phone": "8181234567", "email": "[email protected]", "address": { "street": "411 W Ocean Blvd,", "city": "VAN NUYS", "county": "Los Angeles", "state": "CA", "zipCode": "91401" } }, "owner": { "isIndividual": false, "ownerType": "Business", "dlNotMatchName": false, "ownersAddressMatchOwnersId": true, "applyingForPrimaryAddressException": false, "fein": "222222222", "businessName": "BUSINESS" }, "vehicle": { "state": "AK", "vehicleType": "Passenger", "useType": "Personal", "purchaseDate": "2022-07-09", "year": 2021, "unladenWeight": 4017, "numberOfRegYears": 2, "lienRecordingFee": false, "color": "Bronze", "make": "HYUNDAI", "model": "SANTA FE", "vin": "5NMS4DAL5MHTEST", "bodyType": "Utility (UT)", "bodyTypeId": 205, "grossWeight": 5357, "odometerReading": 234, "sellingPrice": 50000.99, "saleType": "Purchase", "vehicleSoldAs": "Used", "odometerValidity": "Actual", "isOwnerMilitary": false }, "insurance": { "companyName": "INSURCOMP", "policyNumber": "12515125125" }, "plateDestination": { "type": "Owner", "name": "BUSINESS", "address": { "street": "842 W Intl Airport Rd", "city": "Anchorage", "county": "Anchorage", "state": "AK", "zipCode": "99518" } }, "caAddress": { "city": "VAN NUYS", "county": "Los Angeles", "zipCode": "91401", "zipCodeExt": 91401 }, "tradeInVehicles": [ { "plateNumber": "9685196F", "vin": "1GC2CUEG6JF178295", "tradeInValue": 1001 } ] }
 
application/json
callback sample
Callback Body
Callback Response
200

Cancel Transaction

Cancels a transaction in VITU system

delete
https://api-test.vitu.com/national-public-api/v2/transaction/{transactionId}

Query Parameters

messagestring

<= 500 characters

transactionTypestring

Identifier of the type of the transaction

Allowed values:EVRINTERSTATEDMVDESKNTX

Default:INTERSTATE

Path Parameters

transactionIdstringrequired

Either int transactionId or uuid refNumber

<= 36 characters

Headers

x-on-behalf-of-userinteger

Id of the user on behalf of whom the request is being made

Response

application/json

OK

object

Callbacks

post
{$request.query.callbackUrl}

Callback Response

200

Target server returns this code if it accepts the callback

delete/transaction/{transactionId}
 
application/json
callback sample
Callback Body
Callback Response
200